Java 9 & dotcms startup not working

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Java 9 & dotcms startup not working

jayharc001
Hello, 

I have few questions that someone might be able to help me out with.

  1. The install from release mentions that you must use Java JDK 1.8.  Notice on the Java webpage, there is a 9.0 and an 8.0.  I'm assuming that the 8.0 is 1.8?  Also, would the most recent 9.0 work with the dotcms community download?  
  2. After I downloaded 9.0 originally for windows I set up the environmental variable as the following: JAVA_HOME=C:\Program Files\Java\jdk-9.0.1  (I'm not sure if this is correct or not.  I know that the Java support says to also go to Path under environmental variables and add C:\Program Files\Java\jdk-9.0.1\bin to the top.  The path already displays C:\ProgramData\Oracle\Java\javapath  (does this still need to be here or replaced?) 
  3. After downloading dotcms and unzipping it to my desktop, I go to dotcms - bin - startup and when I select to run (it looks like the command prompt screen flashes quickly then goes away and nothing happens).  I have the file unzipped on my desktop, but cannot install dotcms to run on my computer.  Should I be doing something different?  I'm running off a 64 bit system using windows 10 (64).       Please help if you can.  Thank you and much appreciated 

--
http://dotcms.com - Open Source Java Content Management
---
You received this message because you are subscribed to the Google Groups "dotCMS User Group" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/dotcms/20d46fc2-6bc8-45fc-a05a-ce59f2811a40%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

RE: Java 9 & dotcms startup not working

Nathan Keiter

First off, “Java 8 “ is version 1.8 and if the dotCMS documentation says to use that, you must use that. The distribution is pre-compiled for Java 1.8

 

Nathan I. Keiter | Lead Network Applications Programmer | Benefits Advisory Council Member | I.D.E.A Council Member
Gettysburg College | Information Technology | DataSystems
Campus Box 2453 | 300 North Washington Street | Gettysburg, PA 17325
Phone: 717.337.6993

https://www.gettysburg.edu

 

From: [hidden email] [mailto:[hidden email]] On Behalf Of [hidden email]
Sent: Sunday, November 12, 2017 9:34 AM
To: dotCMS User Group
Subject: [dotcms] Java 9 & dotcms startup not working

 

Hello, 

 

I have few questions that someone might be able to help me out with.

 

  1. The install from release mentions that you must use Java JDK 1.8.  Notice on the Java webpage, there is a 9.0 and an 8.0.  I'm assuming that the 8.0 is 1.8?  Also, would the most recent 9.0 work with the dotcms community download?  
  2. After I downloaded 9.0 originally for windows I set up the environmental variable as the following: JAVA_HOME=C:\Program Files\Java\jdk-9.0.1  (I'm not sure if this is correct or not.  I know that the Java support says to also go to Path under environmental variables and add C:\Program Files\Java\jdk-9.0.1\bin to the top.  The path already displays C:\ProgramData\Oracle\Java\javapath  (does this still need to be here or replaced?) 
  3. After downloading dotcms and unzipping it to my desktop, I go to dotcms - bin - startup and when I select to run (it looks like the command prompt screen flashes quickly then goes away and nothing happens).  I have the file unzipped on my desktop, but cannot install dotcms to run on my computer.  Should I be doing something different?  I'm running off a 64 bit system using windows 10 (64).       Please help if you can.  Thank you and much appreciated 

--
http://dotcms.com - Open Source Java Content Management
---
You received this message because you are subscribed to the Google Groups "dotCMS User Group" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/dotcms/20d46fc2-6bc8-45fc-a05a-ce59f2811a40%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

--
http://dotcms.com - Open Source Java Content Management
---
You received this message because you are subscribed to the Google Groups "dotCMS User Group" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/dotcms/8e457edf695f408a9c1728e952a2ee7a%40exch13c.ms.gettysburg.edu.
For more options, visit https://groups.google.com/d/optout.